using System;
using System.Reflection;
using System.IO;
//namespace McKechney.EmbeddedResouceTextExample
namespace hfs2Service
{
    /// <summary>
    /// Summary description for EmbeddedResourceReader.
    /// </summary>
    public class EmbeddedResourceTextReader
    {
        public EmbeddedResourceTextReader()
        {

        }
        internal string GetFromResources(string resourceName)
        {
            Assembly assem = this.GetType().Assembly;
            using (Stream stream = assem.GetManifestResourceStream(resourceName))
            {
                try
                {
                    using (StreamReader reader = new StreamReader(stream))
                    {
                        return reader.ReadToEnd();
                    }
                }
                catch (Exception e)
                {
                    throw new Exception("Error retrieving from Resources.   Tried '" + resourceName + "'\r\n" + e.ToString());
                }
            }
        }
    }
}
